using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class ResetHazardOnTouch : MonoBehaviour
{
    private void OnTriggerEnter2D(Collider2D collision)
    {
        if (collision.gameObject.tag == "Hazard")
        {
            collision.gameObject.GetComponent<HazardController>().ResetHazard();
        }
    }

    private void OnTriggerStay2D(Collider2D collision)
    {
        if (collision.gameObject.tag == "Hazard")
        {
            collision.gameObject.GetComponent<HazardController>().ResetHazard();
        }
    }
}
